﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ModuleEditor.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Editor.ModuleEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.ModuleDetails%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Title)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="Title" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Title" Template-PropertyName="Title" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Name)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="NameFieldView" InputToDisplayID="Name" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Name" Template-PropertyName="Name" ExtendedTemplate-HighlightOnFocus="true"/>
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(ShortDescription)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ShortDescriptionFieldView" InputToDisplayID="ShortDescription" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="ShortDescription" Template-PropertyName="ShortDescription"
                          ExtendedTemplate-HighlightOnFocus="true" TextMode="MultiLine" Rows="3" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Description)%>" id="<%=Description.ClientID + FCKWrapperID%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="Description" />
                      </td>
                      <td class="control">
                        <UI:TextArea ID="Description" runat="server" Template-PropertyName="Description" />
                      </td>
                    </tr>
                    <%if (Entity != null && Entity.IsDisablingAvailable != null && (bool)Entity.IsDisablingAvailable) { %>
                    <tr class="<%=GetRegionCSSClass(Enabled)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="EnabledFieldView" InputToDisplayID="Enabled" />
                      </td>
                      <td class="control">
                        <UI:CheckBox runat="server" ID="Enabled" Template-PropertyName="Enabled" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% } %>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage%></span>
      </td>
    </tr>
  </tbody>
</table>
