﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditableAttributeListing.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Listing.EditableAttributeListing" %>
<%@ Import Namespace="Core.Web" %>
<%@ Register Assembly="Core.Web" Namespace="Core.Web.Admin.Controls.Grids.ActionColumns"
  TagPrefix="Actions" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tr>
    <td>
      <Filter:FiltersArea runat="server" ID="Filters">
        <Filters>
          <UI:FilterTextBox runat="server" ID="SearchBox" />
        </Filters>
      </Filter:FiltersArea>
    </td>
  </tr>
  <tr>
    <td>
      <UI:ActionResultView runat="server" ID="CustomActionResult" />
    </td>
  </tr>
  <tr>
    <td>
      <Grid:AttributeGridView runat="server" ID="Grid">
        <Columns>
          <List:GridColumn Header="Name" PropertyName="Name" Width="25" />
          <List:GridColumn Header="Description" PropertyName="Description" Width="36" />
          <List:GridColumn Header="Parent" PropertyName="ParentAttribute.Name" Width="25" />
          <Grid:IsCustomerAttributeActionColumn runat="server" CssClass="action-column cursor-hand"
            EnabledCssClass="enabled" DisabledCssClass="disabled" Width="10" InactiveCssClass="inactive-action-column"
            Header="Advanced filter" HeaderCssClass="" EnabledToolTip="Used as advanced filter"
            DisabledTooltip="Is not used as advanced filter" HeaderKey="AdvancedFilter" PropertyName="IsCustomerAttribute" />
        </Columns>
        <ActionColumns>
          <List:SaveActionColumn Header="Save" Width="3" CssClass="butt-save png cursor-hand"
            InactiveCssClass="button-invisible" />
          <List:CancelActionColumn Header="Cancel" Width="3" CssClass="butt-cancel png cursor-hand"
            InactiveCssClass="button-invisible" />
          <List:StartEditActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="button-invisible" />
          <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="button-invisible" />
          <Actions:EditAttributeCategoriesColumn Width="3" CssClass="butt-rel-cat png cursor-hand"
            InactiveCssClass="button-invisible" />
        </ActionColumns>
        <inputrow>
          <List:TextBoxColumn PropertyName="Name" CssClass="textbox-column" ControlCssClass="grid-input text-field text-field-160" />
          <List:TextBoxColumn PropertyName="Description" CssClass="textbox-column" ControlCssClass="grid-input text-field text-field-160" />
          <List:AttributeDropDownColumn PropertyName="ParentAttribute" ViewPropertyName="ParentAttribute.Name" SelectColumns = "ParentAttribute.AttributeID" IsForceDataBind="true" CssClass="textbox-column" ControlCssClass="grid-input select select-104" />
        </inputrow>
      </Grid:AttributeGridView>
    </td>
  </tr>
  <tr>
    <td>
      <List:ItemsCounter runat="server" ID="ItemsCounter" />
      <span class="grid-area-filter-item">
        <label class="line-label">
          <%=PageSize.FieldView%></label>
        <List:PageSizeChanger runat="server" ID="PageSize" />
      </span>
      <List:Paginator runat="server" ID="GridPaginator" />
    </td>
  </tr>
</table>
