﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderViewer.ascx.cs" Inherits="Core.Web.Admin.Controls.Viewer.OrderViewer" %>
<%@ Import Namespace="Core.DBO.Config.Orders"%>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Viewer/OrderItemsViewer.ascx" TagPrefix="uc" TagName="OrderItemsViewer" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.OrderDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                            <tr>
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="OrderIDFieldView" InputToDisplayID="OrderIDField" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label id="OrderIDField" runat="server" Template-PropertyName="PaymentOrderID"/>
                                              </td>
                                            </tr>
                                            <tr >
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="PostedDateFieldView" 
                                                InputToDisplayID="PostedDateField" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label id="PostedDateField" runat="server" 
                                                Template-PropertyName="PostedDate"/>
                                              </td>
                                            </tr>
                                            <tr >
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="EmailFieldView" InputToDisplayID="EmailField" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label runat="server" ID="EmailField" Template-PropertyName="Email"/>
                                              </td>
                                            </tr>
                                            <tr >
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="OrderStatusFieldView" 
                                                InputToDisplayID="StatusField" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label id="StatusField" runat="server" 
                                                Template-PropertyName="PaymentOrderStatus.Name"
                                                Template-DisplayName="Payment Order Status"/>
                                              </td>
                                            </tr>

                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
        
                <fieldset>
                  <Control:CollapsableBox runat="server" ID="CollapsableBox2" IsCollapsable="true">
                    <Header>
                      <h3 class="delimiter">
                      <span><%=PaymentOrderConfig.Current.OrderItemsTitle%></span></h3>
                    </Header>
                    <Body>
                      <div class="form-content">
                        <uc:OrderItemsViewer runat="server" ID="ItemsViewer" />
                      </div>
                    </Body>
                  </Control:CollapsableBox>
                </fieldset>

                <fieldset>
                    <Control:CollapsableBox runat="server" ID="CustomerInfoBox" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.CustomerInformation %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                            <tr >
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="CustomerFirstNameFieldView" 
                                                InputToDisplayID="CustomerFirstNameField" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label id="CustomerFirstNameField" runat="server" 
                                                Template-PropertyName="CustomerProfile.FirstName"/>
                                              </td>
                                            </tr>
                                            <tr >
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="CustomerLastNameFieldView" 
                                                InputToDisplayID="CustomerLastNameField" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label id="CustomerLastNameField" runat="server" 
                                                Template-PropertyName="CustomerProfile.LastName"/>
                                              </td>
                                            </tr>
                                            <tr >
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="DeliveryAddress1FieldView" 
                                                InputToDisplayID="DeliveryAddress1Field" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label id="DeliveryAddress1Field" runat="server" 
                                                Template-PropertyName="CustomerProfile.Address"/>
                                              </td>
                                            </tr>
                                            <%if (Entity.CustomerProfile != null && 
                                                  !String.IsNullOrEmpty(Entity.CustomerProfile.Address2)) {%>
                                            <tr >
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="DeliveryAddress2FieldView" 
                                                InputToDisplayID="DeliveryAddress2Field" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label id="DeliveryAddress2Field" runat="server" 
                                                Template-PropertyName="CustomerProfile.Address2"/>
                                              </td>
                                            </tr>
                                           <% }%>
                                            <tr >
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="DeliveryTownFieldView" 
                                                InputToDisplayID="DeliveryTownField" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label id="DeliveryTownField" runat="server" 
                                                Template-PropertyName="CustomerProfile.Town.Name"
                                                Template-DisplayName="Town"/>
                                              </td>
                                            </tr>
                                            <tr >
                                              <td class="label-value">
                                                <UI:FieldView runat="server" ID="DeliveryPostcodeFieldView" 
                                                InputToDisplayID="DeliveryPostcodeField" />
                                              </td>
                                              <td class="control-value">
                                                <UI:Label id="DeliveryPostcodeField" runat="server" 
                                                Template-PropertyName="CustomerProfile.Postcode"/>
                                              </td>
                                            </tr>
                                          <%if (Entity.CustomerProfile != null && 
                                                !String.IsNullOrEmpty(Entity.CustomerProfile.Phone)) {%>
                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="CustomerPhoneFieldView" 
                                              InputToDisplayID="CustomerPhoneField" />
                                            </td>
                                            <td class="control-value">
                                            <UI:Label id="CustomerPhoneField" runat="server" 
                                            Template-PropertyName="CustomerProfile.Phone"/>
                                            </td>
                                          </tr>
                                          <% }%>
                                          
                                          <%if (Entity.CustomerProfile != null && 
                                                !String.IsNullOrEmpty(Entity.CustomerProfile.Mobile)) {%>
                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="CustomerMobileFieldView" 
                                              InputToDisplayID="CustomerMobileField" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="CustomerMobileField" runat="server" 
                                              Template-PropertyName="CustomerProfile.Mobile"/>
                                            </td>
                                          </tr>
                                          <% }%>
                                          
                                          <%if (Entity.CustomerProfile != null && 
                                                !String.IsNullOrEmpty(Entity.CustomerProfile.Fax)) {%>
                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="CustomerFaxFieldView" 
                                              InputToDisplayID="CustomerFaxField" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="CustomerFaxField" runat="server" 
                                              Template-PropertyName="CustomerProfile.Fax"/>
                                            </td>
                                          </tr>
                                          <% } %>
                                       
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>

                <fieldset>
                    <Control:CollapsableBox runat="server" ID="TotlaInfoBox" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.TotalInformation %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>

                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="DeliveryChargeFieldView" 
                                              InputToDisplayID="DeliveryChargeField" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="DeliveryChargeField" runat="server" 
                                              Template-PropertyName="DeliveryCharge"/>
                                            </td>
                                          </tr>
                                          
                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="TotalFieldView" InputToDisplayID="TotalField" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="TotalField" runat="server" Template-PropertyName="Total"  FormatAsMoney="true"/>
                                            </td>
                                          </tr>
                                          
                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="DiscountFieldView" InputToDisplayID="DiscountField" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="DiscountField" runat="server" Template-PropertyName="Discount"  FormatAsMoney="true"/>
                                            </td>
                                          </tr>
                                          
                                          <%if (Entity.GiftVouchersAmount > 0) {%>
                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="GiftVouchersAmountFieldView" InputToDisplayID="GiftVouchersAmountField" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="GiftVouchersAmountField" runat="server" Template-PropertyName="GiftVouchersAmount" FormatAsMoney="true"/>
                                            </td>
                                          </tr>
                                          <% }%>                                             

                                          <% if (Entity.VAT != null && Entity.VAT != 0) {%>
                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="VATFieldView" InputToDisplayID="VATField"/>
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="VATField" runat="server" Template-PropertyName="VAT" FormatAsMoney="true"/>
                                            </td>
                                          </tr>
                                          <% }%>
                                          <%if (Entity.DeliveryChargesPrice != null && Entity.DeliveryChargesPrice > 0) {%>
                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="DeliveryChargeAmountFieldView" InputToDisplayID="DeliveryChargeAmountField" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="DeliveryChargeAmountField" runat="server" Template-PropertyName="DeliveryChargesPrice" FormatAsMoney="true"/>
                                            </td>
                                          </tr>
                                          <% }%>                                       
                                          
                                          <tr >
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="GrandTotalFieldView" 
                                              InputToDisplayID="GrandTotalField" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="GrandTotalField" runat="server" 
                                              Template-PropertyName="GrandTotal" FormatAsMoney="true"/>
                                            </td>
                                          </tr>
                                       
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
