﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="XMLSiteMapViewer.ascx.cs" Inherits="Core.Web.Admin.Controls.Viewer.XMLSiteMapViewer" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/XMLSiteMap/SiteMapExport.ascx" TagName="SiteMapExport" TagPrefix="uc" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.XmlSiteMapDetails%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Priority)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="PriorityFieldView" InputToDisplayID="Priority" />
                      </td>
                      <td class="control">
                        <UI:Label ID="Priority" runat="server" Template-PropertyName="Priority" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(ChangeFrequency)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="SitemapChangeFrequencyFieldView" InputToDisplayID="ChangeFrequency" />
                      </td>
                      <td class="control">
                        <UI:Label ID="ChangeFrequency" runat="server" Template-PropertyName="SitemapChangeFrequency.Name"
                          ExtendedTemplate-HighlightOnFocus="true" Template-DisplayName="Change Frequency" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(FileName)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="FileNameFieldView" InputToDisplayID="FileName" />
                      </td>
                      <td class="control">
                        <UI:Label ID="FileName" runat="server" Template-PropertyName="FileName" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(FileName)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="MaxRecordsCountPerFileFieldView" InputToDisplayID="MaxRecordsCountPerFile" />
                      </td>
                      <td class="control">
                        <UI:Label ID="MaxRecordsCountPerFile" runat="server" Template-PropertyName="MaxRecordsCountPerFile"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <uc:SiteMapExport runat="server" ID="SiteMapExport" />
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>
