﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderItems.ascx.cs" Inherits="Core.Web.Controls.Basket.OrderItems" %>

<%@ Import Namespace="Core.Web.Constants"%>
<%@ Import Namespace="Core.Web.Objects.Shopping"%>
<%@ Import Namespace="Core.Web"%>
<%@ Import Namespace="iFramework.Core.Utilities"%>

<%@ Register Src="~/Controls/Basket/GoogleCheckoutButton.ascx" TagPrefix="uc" TagName="GoogleCheckoutButton" %>

<Front:PopupActionResult runat="server" ID="ActionResultView" TopPosition="50" />
<div class="Area">
	<div class="FormSection">
		<div class="AreaContent">
			<h2><%=UI.Current.BasketTitle%></h2>			
			<%if (!BasketStorage.Instance.IsEmpty) {%>
			  <div class="Slim">
				  <div class="Basket">
					  <div class="TableData">
						  <table border="0" cellspacing="0" cellpadding="0">
                <%if (ContainsComplexItems) { %>
							    <colgroup class="Num1" span="1">
							    <col class="Num1" />
							    </colgroup>
	              <%} %>						  
							  <colgroup class="Num2" span="1">
							  <col class="Num2" />
							  </colgroup>
							  <colgroup class="Num3" span="1">
							  <col class="Num3" />
							  </colgroup>
							  <colgroup class="Num4" span="1">
							  <col class="Num4" />
							  </colgroup>
							  <colgroup class="Num5" span="1">
							  <col class="Num5" />
							  </colgroup>
							  <colgroup class="Num6" span="1">
							  <col class="Num6" />
							  </colgroup>
							  <colgroup class="Num6" span="1">
							  <col class="Num6" />
							  </colgroup>							  
							  <thead>
								  <tr>
		                <%if (ContainsComplexItems) { %>
			                <th class="first">&nbsp;</th>
			              <%} %>
									  <th scope="col"><%=UI.Current.ProductCodeColumnName%></th>
									  <th scope="col"><%=UI.Current.ProductNameColumnName%></th>
									  <th scope="col"><%=UI.Current.QuantityColumnName%></th>
									  <th scope="col"><%=UI.Current.PriceColumnName%></th>
									  <th scope="col"><%=UI.Current.SubtotalColumnName%></th>
									  <th scope="col">&nbsp;</th>
								  </tr>
							  </thead>
							  <tbody>
                  <%=Html.Basket(BasketStorage.Instance.OrderItems, ContainsComplexItems, false, QuantityFieldName, DeleteLink) %>
								  <tr>
									  <td colspan="<%=ColumnsCount - 2%>"><%=UI.Current.Vat%> <strong><%=(Constants.Current.VAT * 100).ToString("f1")%>%</strong></td>
									  <td class="price"><strong class="Summ"><%=Vat%></strong></td>
									  <td class="PreTotaledData">&nbsp;</td>
								  </tr>
							  </tbody>
							  <tfoot>
								  <tr>
									  <th colspan="<%=ColumnsCount - 4%>"><%=UI.Current.Total%>:</th>
									  <td><%=BasketStorage.Instance.TotalItemsQuantity%></td>
									  <td>&nbsp;</td>
									  <td class="Total price" style="white-space:nowrap"><%=UserMoney(BasketStorage.Instance.Total + BasketStorage.Instance.VAT)%></td>
									  <td>&nbsp;</td>
								  </tr>
							  </tfoot>
						  </table>
					  </div>
				  </div>
			  </div>
			<% } else { %>
			  <%=UI.Current.EmptyBasketMessage%>
			<% }%>
			<div class="FormControl FormControlIndent-B">
				<ul class="Groups">
					<li class="GroupA">
						<ul>
							<li><Front:SpanButton runat="server" OnClick="UpdateHandler" ID="UpdateButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
							<li><Front:SpanButton runat="server" OnClick="ContinueShoppingHandler" ID="ContinueShoppingButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-C" /></li>
							<li><Front:SpanButton runat="server" OnClick="CheckoutHandler" ID="CheckoutButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-D" /></li>
						</ul>
					</li>
				</ul>
			</div>
			
			<script language="javascript" type="text/javascript">
			
			  $(function() {
			    $('.GroupA ul li').each(function() {
			      if ($(this).children().length == 0) {
			        $(this).remove();
			      }
			    });
			  });
			
			</script>
			
			<div class="FormControl FormControlIndent-B">
			  <uc:GoogleCheckoutButton runat="server" ID="GCheckoutButton" OnClick="GoogleCheckoutHandler" />
			</div>
			<div style="clear:both"></div>
		</div>
	</div>
</div>