﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderSummary.ascx.cs" Inherits="Core.Web.Controls.Basket.OrderSummary" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web.Objects.Presentation"%>
<%@ Import Namespace="Core.Web.Objects.Utility"%>
<%@ Import Namespace="Core.Web.Objects.Shopping"%>
<%@ Import Namespace="Core.Web.Constants"%>
<%@ Import Namespace="iFramework.Core.Utilities"%>

<%@ Register Namespace="Core.Web.Controls.Basket" Assembly="Core.Web" TagPrefix="Basket" %>

<Front:PopupValidationSummary runat="server" ID="PopupSummary" SeeInContainers="true" />

<div class="Slim">
	<div class="Order">
		<div class="TableData">
		  <%if (!BasketStorage.Instance.IsEmpty) {%>
	      <table border="0" cellspacing="0" cellpadding="0">
	        <%if (ContainsComplexItems) { %>
		        <colgroup class="Num1" span="1">
		          <col class="Num1" />
		        </colgroup>
		      <%} %>
		      <colgroup class="Num2" span="1">
		        <col class="Num2" />
		      </colgroup>
		      <colgroup class="Num3" span="1">
		        <col class="Num3" />
		      </colgroup>
		      <colgroup class="Num4" span="1">
		        <col class="Num4" />
		      </colgroup>
		      <colgroup class="Num5" span="1">
		        <col class="Num5" />
		      </colgroup>
		      <colgroup class="Num6" span="1">
		        <col class="Num6" />
		      </colgroup>		      
		      <%if (ShowDiscount) { %>
		        <colgroup class="Num7" span="1">
		          <col class="Num7" />				
		        </colgroup>
		      <%} %>
		      <thead>		    
			      <tr>
		          <%if (ContainsComplexItems) { %>
			          <th class="first">&nbsp;</th>
			        <%} %>
				      <th scope="col"><%=UI.Current.ReferenceColumnName%></th>
				      <th scope="col"><%=UI.Current.ProductNameColumnName%></th>
				      <th scope="col"><%=UI.Current.QuantityColumnName%></th>
				      <th scope="col"><%=UI.Current.PriceColumnName%></th>
				      <th scope="col"><%=UI.Current.SubtotalColumnName%></th>
				      <%if (ShowDiscount) { %>
				        <th scope="col"><%=UI.Current.Discount%></th>
				      <%} %>
			      </tr>
		      </thead>
		      <tbody>				
            <%=Html.OrderSummary(BasketStorage.Instance.OrderItems, ShowDiscount, ContainsComplexItems, false)%>
		        <%if (!IsDownloadable) {%>
			        <tr class="SubOption">
			          <%if (ContainsComplexItems) { %>
				          <td>&nbsp;</td>
				        <%} %>
				        <td colspan="2"><UI:FieldView runat="server" ID="DiscountCodeFieldView" InputToDisplayID="ShippingMethodList" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" /></td>
				        <td colspan="<%=ColumnCount - 2%>"><div class="FormRow Alloyed MaxSize">
						        <dl>
							        <dt><span class="SelectLine">
							          <Basket:DeliveryList runat="server" ID="ShippingMethodList" AutoPostBack="true"/>
								        </span></dt>
						        </dl>
					        </div></td>					        
			        </tr>
			      <%} %>
			      <tr class="SubOption">
			          <%if (ContainsComplexItems) { %>
				          <td>&nbsp;</td>
				        <%} %>
				      <td colspan="2"><%=UI.Current.Vat%> <%=(Constants.Current.VAT * 100).ToString("f1")%>%</td>
				      <td colspan="<%=ColumnCount - 2%>" class="price"><strong class="Summ"><%=Vat%></strong></td>
			      </tr>			      
			      <%if (ShowDiscount) { %>
			        <tr class="SubOption">
			          <%if (ContainsComplexItems) { %>
				          <td>&nbsp;</td>
				        <%} %>
				        <td colspan="2"><%=UI.Current.Discount%>:</td>
				        <td colspan="<%=ColumnCount - 2%>" class="price"><strong class="Summ"><%=UserMoney(BasketStorage.Instance.DiscountAmount)%></strong></td>
			        </tr>
			      <%} %>
			      <%if (ShowVouchers) { %>
			        <tr class="SubOption">
			          <%if (ContainsComplexItems) { %>
				          <td>&nbsp;</td>
				        <%} %>
				        <td colspan="2"><%=UI.Current.GiftVouchersAmount%>:</td>
				        <td colspan="<%=ColumnCount - 2%>" class="price"><strong class="Summ"><%=UserMoney(BasketStorage.Instance.GiftVouchersAmount)%></strong></td>
			        </tr>
			      <%} %>			      					    
		      </tbody>
		      <tfoot>
			      <tr>
		          <%if (ContainsComplexItems) { %>
			          <td>&nbsp;</td>
			        <%} %>			      
				      <th colspan="2"><%=UI.Current.GrandTotal%>:</th>
				      <td><%=BasketStorage.Instance.TotalItemsQuantity%></td>
				      <td colspan="<%=ColumnCount - 3%>" class="price"><%=UserMoney(GrandTotal)%></td>
			      </tr>
		      </tfoot>
	      </table>
	    <%} else {%>	  
	      <%=UI.Current.EmptyBasketMessage%>
	    <%} %>	  
		</div>
	</div>
</div>
<div class="Acceptions">
  <div class="FormRow">
    <dl>
	    <dt><span class="InputCheckBox">
		    <UI:CheckBox runat="server" ID="IAgree" />
		    </span></dt>
	    <dd>
		    <div class="SysInfo">
			    <p><label for="<%=IAgree.ClientID%>"><%=String.Format(UI.Current.TermsAgreementTemplate, UrlBuilder.GetContentPageUrl(ContentPageManager.TermsAndConditions))%> </label></p>
			    <Input:CustomValidator runat="server" ID="AgreeValidator" OnServerValidate="ValidateIsAgree" Display="None" />
		    </div>
	    </dd>
    </dl>
  </div>
</div>

<script type="text/javascript" language="javascript">

  $(function() {
    $('.TableData table').treeTable();
  });

</script>