﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="WishListProducts.ascx.cs" Inherits="Core.Web.Controls.Customers.WishListProducts" %>

<%@ Import Namespace="iFramework.Core.Utilities" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.DBO.Entity.Products" %>

<%@ Register Src="~/Controls/Customers/WishListRepeater.ascx" TagPrefix="uc" TagName="WishListRepeater" %>
<%@ Register Src="~/Controls/Products/DefaultLinkPaginator.ascx" TagPrefix="uc" TagName="Paginator" %>

<%if (!IsEmpty) { %>
  <div class="Area">
    <div class="FormSection">
      <div class="AreaPanelTop">
        <div class="ToolPanel">
          <ul class="Groups">
            <li class="GroupA">
              <ul>
                <li class="E">
                  <uc:Paginator runat="server" ID="TopPaginator" />
                </li>
              </ul>
            </li>
            <li class="GroupB">
              <ul>
                <li class="E">
                  <div class="Filter">
                    <dl>
                      <dt class="Disabled">
                        <label><%=UI.Current.Sorting%>:</label>
                      </dt>
                      <dd>
                        <span class="Field SelectLine">
                          <Front:SortChanger runat="server" ID="ProductsSortChanger" AutoPostBack="true" />
                        </span>
                      </dd>
                    </dl>
                  </div>
                </li>
              </ul>
            </li>
          </ul>
        </div>
      </div>
      <div class="AreaContent">
        <div class="ProductPool">
          <uc:WishListRepeater runat="server" ID="Repeater" />
        </div>
      </div>
      <div class="AreaPanelBottom">
        <div class="ToolPanel">
          <ul class="Groups">
            <li class="GroupA">
              <ul>
                <li class="E">
                  <uc:Paginator runat="server" ID="BottomPaginator" />
                </li>
              </ul>
            </li>
            <li class="GroupB">
              <ul>
                <li class="E">
                  <div class="Filter">
                    <dl>
                      <dt>
                        <label><%=GetProductsTotalText()%></label>
                      </dt>
                      <dd>
                        <span class="Field SelectLine">
                          <Front:PageSizeChanger runat="server" ID="PageSizeControl" AutoPostBack="true" />
                        </span>
                      </dd>
                    </dl>
                  </div>
                </li>
              </ul>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
<%} else { %>
  <div class="Area">
    <div class="FormSection">
      <div style="padding: 10px 0px;">
        <%=UI.Current.WishListIsEmpty%>
      </div>
    </div>
  </div>
<%} %>
