﻿/// <reference path="jQuery.intellisense.js" />
/// <reference name "MicrosoftAjax.js" assembly="System.Web.Extensions" />

(function($) {

    $.productKitEditor = function (kitItems, totalPrice, options) {
        this.kitItems = kitItems;
        this.totalPrice = totalPrice;
        this.options = $.extend({}, $.productKitEditor.defaults, options);
        
        this.init();
    };
    
    $.productKitEditor.prototype = {
        
        init: function() {
            for (i in this.kitItems) {
                kitItem = this.kitItems[i];
                
                if (kitItem && kitItem.list) {
                    $(kitItem.list).bind('change', Function.createCallback(this.itemChangedHandler, {
                        category : kitItem.category, 
                        editor: this,
                        list: kitItem.list,
                        link: kitItem.link,
                        price: kitItem.price
                    }));
                }
            }
        },
                
        errorRequestHandler : function(response, result) {
            $.log('WARN', response.responseText);
        },
        
        itemChangedHandler : function(e, context) {
            editor = context.editor;
            params = {
                request: editor.options.updateKitRequest,
                category: context.category,
                item: $(context.list).val()
            };
            
	        $.getMSJSON(editor.options.serviceUrl, params, 
	                    Function.createCallback(editor.assemblyUpdated, context),
	                    Function.createDelegate(editor, editor.errorRequestHandler));
        },
        
        assemblyUpdated : function(data, result, context) {
            if (data) {
                editor = context.editor;
                if (data.total) {
                    $(editor.totalPrice).val(data.total);
                    $(editor.totalPrice).html(data.total);
                }
                if (data.price) {
                    $(context.price).val(data.price);
                    $(context.price).html(data.price);
                }
                if (data.url) {
                    $(context.link).attr({href: data.url});
                }                
            }
        }
    };
    
    $.productKitEditor.defaults = {
        serviceUrl : '',
        updateKitRequest: 'Update'
    };

})(jQuery);