﻿/// <reference path="jQuery.intellisense.js" />
/// <reference name "MicrosoftAjax.js" assembly="System.Web.Extensions" />

(function($) {

    $.addToWishList = function(button, productID, options) {
        this.button = button;
        this.productID = productID;
        this.options = $.extend({}, $.addToWishList.defaults, options);

        this.init();
    };

    $.addToWishList.prototype = {

        init: function() {
            $(this.button).click(Function.createDelegate(this, this.buttonClickHandler));
        },
            
        errorRequestHandler : function(response, result) {
	      $.log('WARN', response.responseText);
	    },
      
        buttonClickHandler : function() {
            params = {request: this.options.addRequest};
            
            if (this.productID) {
              params.productID = this.productID;
            }  
            
            $.getMSJSON(this.options.serviceUrl, params, 
                        Function.createDelegate(this, this.completeHandler),
                        Function.createDelegate(this, this.errorRequestHandler));
        },

        completeHandler : function(data, result) {
            if (typeof data != undefined) {
              if (data.IsSuccess) {
                $(this.button).hide();
                $('#wishListSize').html(data.Data.Size);
                this.showSuccessMessage(data.Message);
              }
              else {
                this.showErrorMessage(data.Message);
              } 
            }          
        },

        showErrorMessage : function (message) {
            $('form').messageBox(null, {
              messageType: 'Error', 
              top: 10, 
              left: '900px',
              width: 350, 		      
              autoClose: true,
              title: messages.error,
              modal : false},
              $.generateList, {list: [message]});
        },
            
        showSuccessMessage : function (message) {
            $.scrollTo(0, 0, {
                speed:1000, 
                onAfter : Function.createCallback(this.showSuccessPopup, {message: message})
            });
        },
        
        showSuccessPopup : function(x, e, context) {
            $('div.Container').messageBox(null, {
              messageType: 'Notification', 
              containerClassName: 'PopUpContainer WishListUpdated', 
              top: 50, 
              left: '625px', 
              width: 350, 	      
              autoClose: true,
              title: messages.newProductHasBeenAdded,
              modal : false,
              showArrow : true},
              '<div class="SysInfo"><p>' + context.message + '</p></div>');        
        }
    };

    $.addToWishList.defaults = {
        serviceUrl: '',
        addRequest: 'Add'
    };

    $.fn.addToWishList = function(productID, options) {    
        $(this).each(function() {
            new $.addToWishList(this, productID, options);
        });    
    };

})(jQuery);    