﻿(function($) {

	// Debug
	if ( !$.browser.safari && typeof window.console !== 'undefined' && typeof window.console.log === 'function' )
	{	// Use window.console
		$.log = window.console.log;
	}
	else
	{	// Don't use anything
		$.log = function ( ) { };
	}	
	
  $.fn.progressMonitor = function(options) {
  
    var options = $.extend({}, $.fn.progressMonitor.defaults, options);
  
    TaskStatus = {
      NotStarted: 0,
      InProgress: 1,
      Completed: 2,
      Error: 3,
      Canceled: 4
    }
  
    progressMonitor = function(progressBar, options) {
      this.progressBar = progressBar;
      this.options = options;
      this.init();
    };       
    
    progressMonitor.prototype = {
    
      init : function() {
        if (this.options.serviceUrl && this.options.taskKey) {
          $(this).oneTime(this.options.updateInterval, this.options.timerLabel, Function.createDelegate(this, this.updateProgress));
        }
        
        if (this.progressBar) {
          $(this.progressBar).progressBar(0, {
              speed: 0,
              boxImage: this.options.progressBoxImage,
              barImage: this.options.progressBarImage
          });        
        }
      },
      
      updateProgress : function() {
        params = {
          request: this.options.getProgressRequest,
          Key: this.options.taskKey
        };
        $.getMSJSON(this.options.serviceUrl, params, 
                    Function.createDelegate(this, this.updateProgressHandler),
                    Function.createDelegate(this, this.errorRequestHandler));        
      },
      
      errorRequestHandler : function(response, result) {
	      $.log('WARN', response.responseText);
	      if (this.options.errorHandler) {
	        this.options.errorHandler.call(this);
	      }
	    },
	                
      updateProgressHandler : function(data, result) {
        if (data) {
          if (data.Status == TaskStatus.InProgress) {
            this.updateTaskState(data);
            $(this).oneTime(this.options.updateInterval, this.options.timerLabel, Function.createDelegate(this, this.updateProgress));
          }
          
          if (data.Status == TaskStatus.Completed) {
            this.updateTaskState(data);
            if (this.options.completeHandler) {
              this.options.completeHandler.call(this);
            }
          }
          
          if (data.Status == TaskStatus.Canceled && this.options.cancelHandler) {
            this.options.cancelHandler.call(this);
          }
                    
          if (data.Status == TaskStatus.Error && this.options.errorHandler) {
            this.options.errorHandler.call(this);
          }
        }
      },
      
      updateTaskState : function(data) {
        if (data) {      
          if (data.Progress && this.progressBar) {
            $(this.progressBar).progressBar(data.Progress, {speed:15});
          }
          if (data.State && this.options.stateIndicator) {
            $(this.options.stateIndicator).html(data.State);
          }        
        }
      }          
    };
    
    $(this).each(function() {
      new progressMonitor(this, options);
    });
	};			
	
	$.fn.progressMonitor.defaults = {
    serviceUrl : null,
    getProgressRequest : 'GetProgress',
    taskKey : null,
    updateInterval : 2000,
    timerLabel: 'ProgressMonitorLabel',
    stateIndicator: null,
    completeHandler: null,
    errorHandler: null,
    cancelHandler: null,
    progressBoxImage: 'images/progressbar.gif',
    progressBarImage: 'images/progressbg_yellow.gif'
	};

})(jQuery);